@import "../../../../core/variables";

.container {
  position: relative;
  margin-bottom: $indent-xxl;
}

.handler {
  height: 20px;
  width: 20px;
  border-radius: 100%;
  background: $color-white;
  box-shadow:
          0 2px 5px rgba(0, 0, 0, 0.1),
          0 2px 3px rgba(0, 0, 0, 0.1);
  position: absolute;
  top: 50%;
  transform: translateY(-50%) translateX(-50%);
  cursor: pointer;
  user-select: none;

  &:before {
    content: attr(data-value);
    position: absolute;
    top: 25px;
    left: 50%;
    transform: translateX(-50%);
    font-size: $font-size-lt;
    font-weight: $font-weight-medium;
    color: $color-gray-900;
  }
}

.background {
  height: 8px;
  border-radius: $border-radius-sm;
  background: $color-gradient-spectre;
}

.backgroundValue {
  height: 100%;
  background: $color-gray-400;
  border-radius: $border-radius-sm;
  box-shadow: inset 0 1px 3px rgba(0, 0, 0, 0.1);
  position: absolute;
  top: 0;
  bottom: 0;
}